package com.microservices.dss.projects.domain;

import java.util.Date;

public class Journals {
    private Integer id;

    private Integer journalizedId;

    private String journalizedType;

    private Integer userId;

    private String notes;

    private Date createdOn;

    private Boolean privateNotes;

    private Integer parentId;

    private Integer commentsCount;

    private Integer replyId;

    private Long reviewId;

    private String commitId;

    private String lineCode;

    private String path;

    private Integer state;

    private Date resolveAt;

    private Integer resolveerId;

    private Boolean needRespond;

    private Date updatedOn;

    private String diff;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getJournalizedId() {
        return journalizedId;
    }

    public void setJournalizedId(Integer journalizedId) {
        this.journalizedId = journalizedId;
    }

    public String getJournalizedType() {
        return journalizedType;
    }

    public void setJournalizedType(String journalizedType) {
        this.journalizedType = journalizedType == null ? null : journalizedType.trim();
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes == null ? null : notes.trim();
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public Boolean getPrivateNotes() {
        return privateNotes;
    }

    public void setPrivateNotes(Boolean privateNotes) {
        this.privateNotes = privateNotes;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getCommentsCount() {
        return commentsCount;
    }

    public void setCommentsCount(Integer commentsCount) {
        this.commentsCount = commentsCount;
    }

    public Integer getReplyId() {
        return replyId;
    }

    public void setReplyId(Integer replyId) {
        this.replyId = replyId;
    }

    public Long getReviewId() {
        return reviewId;
    }

    public void setReviewId(Long reviewId) {
        this.reviewId = reviewId;
    }

    public String getCommitId() {
        return commitId;
    }

    public void setCommitId(String commitId) {
        this.commitId = commitId == null ? null : commitId.trim();
    }

    public String getLineCode() {
        return lineCode;
    }

    public void setLineCode(String lineCode) {
        this.lineCode = lineCode == null ? null : lineCode.trim();
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path == null ? null : path.trim();
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Date getResolveAt() {
        return resolveAt;
    }

    public void setResolveAt(Date resolveAt) {
        this.resolveAt = resolveAt;
    }

    public Integer getResolveerId() {
        return resolveerId;
    }

    public void setResolveerId(Integer resolveerId) {
        this.resolveerId = resolveerId;
    }

    public Boolean getNeedRespond() {
        return needRespond;
    }

    public void setNeedRespond(Boolean needRespond) {
        this.needRespond = needRespond;
    }

    public Date getUpdatedOn() {
        return updatedOn;
    }

    public void setUpdatedOn(Date updatedOn) {
        this.updatedOn = updatedOn;
    }

    public String getDiff() {
        return diff;
    }

    public void setDiff(String diff) {
        this.diff = diff == null ? null : diff.trim();
    }
}